Subject: Re: [HEADSUP] Phasing out old Windows versions and 32 bit support
From: Brian Inglis <[email-masked]>
To: [email-masked]
Date: Thu, 28 Oct 2021 00:00:42 -0600
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On 2021-10-27 14:36, Jeremy Drake via Cygwin wrote:
> Oops, forgot to send to list.
> 
> On Wed, 27 Oct 2021, Takashi Yano wrote:
> 
>> On Tue, 26 Oct 2021 22:55:01 +0200
>> Corinna Vinschen wrote:
>>> We're also planning to drop Support for the 32 bit release of Cygwin in
>>> 2022, thus Cygwin 3.4.0 won't come in 32 bit anymore, and the package
>>> maintainers won't have to update 32 bit packages anymore.  If you're
>>> still running Cygwin under WOW64, consider to move to 64 bit in the next
>>> couple of months.
>>
>> I agree with you that 32 bit cygwin under WOW64 is not worth to
>> support any more. However, 32 bit version of Windows 10 will be
>> still supported at least until Oct. 2025. Personally, I think it
>> would not be nice to exclude the supported windows version from
>> cygwin support.
> 
> Please also note that Windows on ARM64 only just got the ability to run
> x86_64 binaries in Windows 11.  Previously the only option was 32-bit
> x86, as there is no native ARM port of Cygwin.  I don't know about Cygwin
> directly, but I know there are users of Git for Windows on ARM.
> 
> I think a more gradual sunsetting of 32-bit might be a resonable
> compromise, based on the original wording:
> 
>> 11:26 <corinna> starting with 3.4.0, maintainers are not obliged to
>> release packages in 32 bit
> 
> so as of 3.4.0 some packages that are problematic on 32 bit may stop
> providing 32-bit versions.  But not being obliged to release packages is a
> whole different thing than having the core code that allows *any* package
> to run being ripped out in that version.

I would expect the first action would be to eventually remove 
unsupported OS releases from the compatibility list in the Windows 
default manifest built into every Cygwin exe resources by gcc from 
package windows-default-manifest /usr/lib/default-manifest.o:
...
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<assembly xmlns="urn:schemas-microsoft-com:asm.v1" manifestVersion="1.0">
   <trustInfo xmlns="urn:schemas-microsoft-com:asm.v3">
     <security>
       <requestedPrivileges>
         <requestedExecutionLevel level="asInvoker"/>
       </requestedPrivileges>
     </security>
   </trustInfo>
   <compatibility xmlns="urn:schemas-microsoft-com:compatibility.v1">
     <application>
       <!--The ID below indicates application support for Windows Vista -->
       <supportedOS Id="{e2011457-1546-43c5-a5fe-008deee3d3f0}"/>
       <!--The ID below indicates application support for Windows 7 -->
       <supportedOS Id="{35138b9a-5d96-4fbd-8e2d-a2440225f93a}"/>
       <!--The ID below indicates application support for Windows 8 -->
       <supportedOS Id="{4a2f28e3-53b9-4441-ba9c-d69d4a4a6e38}"/>
       <!--The ID below indicates application support for Windows 8.1 -->
       <supportedOS Id="{1f676c76-80e1-4239-95bb-83d0f6d0da78}"/>
       <!--The ID below indicates application support for Windows 10 -->
       <supportedOS Id="{8e0f7a12-bfb3-4fe8-b9a5-48fd50a15a9a}"/>
     </application>
   </compatibility>
</assembly>
...

But I think you may be able to override this in File Explorer ...exe 
Properties Compatibility tab.

-- 
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

This email may be disturbing to some readers as it contains
too much technical detail. Reader discretion is advised.
[Data in binary units and prefixes, physical quantities in SI.]

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple